Draft Offset: Difference between revisions

From FreeCAD Documentation
(Distance perpendicular to itself)
(perpendicular not parallel)
Line 13: Line 13:


<!--T:3-->
<!--T:3-->
The Offset tool moves the selected object by a given distance (offset) parallel to itself. If no object is selected, you will be invited to select one.
The Offset tool moves the selected object by a given distance (offset) perpendicular to itself. If no object is selected, you will be invited to select one.


Typically this tool is used in copy mode to create offset copies of the base object while leaving this original object in the same place.
Typically this tool is used in copy mode to create offset copies of the base object while leaving the original object in the same place.


</translate>
</translate>

Revision as of 00:09, 13 November 2018

Draft Offset

Menu location
Draft → Offset
Workbenches
Draft, Arch
Default shortcut
O S
Introduced in version
-
See also
Part 2D Offset

Description

The Offset tool moves the selected object by a given distance (offset) perpendicular to itself. If no object is selected, you will be invited to select one.

Typically this tool is used in copy mode to create offset copies of the base object while leaving the original object in the same place.

How to use

  1. Select objects you wish to offset.
  2. Press the Draft Offset button, or press O then S keys.
  3. Click a point on the 3D view, or type a distance. This distance is perpendicular to one of the edges of the original shape.

Options

  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Offset tool will restart after you finish the operation, allowing you to offset or copy the objects again without pressing the tool button again.
  • Press P or click the checkbox to toggle copy mode. If copy mode is on, the Offset tool will keep the original shape in its place but will make a copy at the chosen point.
You can use both T and P to place several copies in sequence. In this case, the duplicated element is the last placed copy.
  • Hold Alt while picking the point to also toggle copy mode. Keeping Alt pressed will allow you to continue placing offsets; release Alt to finish the operation and see all offsets.
  • Hold Ctrl while offsetting to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift to constrain you to the current segment, instead of picking the closest one.
  • Press Esc or the Close button to abort the current command; copies already placed will remain.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))